package com.mx.dla.dda.contrato.fees.dtos;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class FeesPagoBonoDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
		
	private Long idContrato;	
	private List<FeesBonoRangoDTO> rangos;
	
	public FeesPagoBonoDTO(){}
		
	public FeesPagoBonoDTO(Integer numRangos) {			
		rangos = new ArrayList<FeesBonoRangoDTO>();		
		for(int i=0; i<numRangos.intValue();i++)
		{
			FeesBonoRangoDTO rango = new FeesBonoRangoDTO(0L, "", "", "","");
			rangos.add(rango);
		}		
	}

	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public List<FeesBonoRangoDTO> getRangos() {
		return rangos;
	}
	public void setRangos(List<FeesBonoRangoDTO> rangos) {
		this.rangos = rangos;
	}		
		
}
